package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.page.PageInfo;

import java.math.BigDecimal;

public class PageInfoOrder<T> extends PageInfo<T> {

    private BigDecimal totalExpectAmount =BigDecimal.ZERO;
    private BigDecimal totalActualAmount =BigDecimal.ZERO;

    public PageInfoOrder() {
    }

    public PageInfoOrder(Integer pageNo) {
        super(pageNo);
    }

    public PageInfoOrder(Integer pageNo, int pageSize) {
        super(pageNo, pageSize);
    }

    public BigDecimal getTotalExpectAmount() {
        return totalExpectAmount;
    }

    public void setTotalExpectAmount(BigDecimal totalExpectAmount) {
        this.totalExpectAmount = totalExpectAmount;
    }

    public BigDecimal getTotalActualAmount() {
        return totalActualAmount;
    }

    public void setTotalActualAmount(BigDecimal totalActualAmount) {
        this.totalActualAmount = totalActualAmount;
    }
}
